Update Route Map

Update Route Map

Updates a specific Route Map on a given Provider Gateway.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/routeMaps/{mapId}
COPY
Path Parameters
string
externalNetworkId
Required

externalNetworkId

string
mapId
Required

mapId


Request Body
ProviderGatewayRouteMap of type(s) application/json
Optional
{
    "id": "string",
    "name": "string",
    "description": "string",
    "bgpPermissionGroupRef": {
        "id": "urn:vcloud:bgpPermissionGroup:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
        "name": "string",
        "accessLevel": "string"
    },
    "matchCriteriaEntries": [
        {
            "type": "string",
            "action": "string",
            "asPathPrepend": "65546, 1.10",
            "localPreference": 0,
            "multiExitDiscriminator": 0,
            "preferGlobalIPv6NextHop": false,
            "weight": 0,
            "community": "NO_EXPORT 11:22:33",
            "communityListMatchCriteriaItems": [
                {
                    "operator": "string",
                    "communityListRef": {
                        "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                        "name": "string",
                        "type": "string"
                    },
                    "regexValue": "string"
                }
            ],
            "ipPrefixListMatchCriteriaItems": [
                {
                    "id": "2a4ba9ad-e8d5-409c-8cae-c06910cd9b47",
                    "name": "string",
                    "type": "string"
                }
            ]
        }
    ],
    "version": {
        "version": 0
    }
}
Authentication
This operation uses the following authentication methods.
Responses
202

The request have been accepted and the task to monitor the request is in the Location header.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name:"string""matchCriteriaEntries":["object"]}' https://{api_host}/cloudapi/1.0.0/externalNetworks/{externalNetworkId}/providerGatewayServices/routing/bgp/routeMaps/{mapId}